PDA

Visualizza la versione completa : errori con apt-get


alkat
16-08-2004, 11:09
Ciao,
stavo provando un dist-upgrade con mepis (debian unstable) ma ricevo un errore relativo alle kde-libs. Provando ad installare synaptic ricevo lo stesso errore che vi incollo qui sotto. Come risolvo?

Grazie
.a.



root@2[XXX]# apt-get install synaptic
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
consigliabile eseguire 'apt-get -f install' per correggere questi problemi:
I seguenti pacchetti hanno dipendenze non soddisfatte:
kdelibs4: Dipende: kdelibs-data (>= 4:3.3.0) ma 4:3.2.3-4 sta per essere installato
synaptic: Dipende: libvte4 (>= 1:0.11.11) ma non sta per essere installato
E: Dipendenze non soddisfatte. Provare 'apt-get -f install' senza pacchetti (o specificare una soluzione).
root@2[XXX]# apt-get -f install
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
Correzione delle dipendenze in corso... Fatto
I seguenti pacchetti verranno inoltre installati:
kdelibs-data
The following packages will be upgraded:
kdelibs-data
1 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
161 non completamente installati o rimossi.
necessario prendere 0B/7045kB di archivi.
Dopo l'estrazione, verranno occupati 1532kB di spazio su disco.
Continuare? [S/n] s
(Lettura del database ... 69264 file e directory attualmente installati.)
Mi preparo a sostituire kdelibs-data 4:3.2.3-4 (con .../kdelibs-data_4%3a3.3.0-1_all.deb) ...
Spacchetto il rimpiazzo di kdelibs-data ...
dpkg: errore processando /var/cache/apt/archives/kdelibs-data_4%3a3.3.0-1_all.deb(--unpack):
tentata sovrascrittura di `/usr/share/mimelnk/audio/x-ms-wma.desktop', che si trova anche nel pacchetto kmplayer
dpkg-deb: il sottoprocesso paste stato terminato dal segnale (Pipe rotta)
Sono occorsi degli errori processando:
/var/cache/apt/archives/kdelibs-data_4%3a3.3.0-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

KornShell
16-08-2004, 11:11
consigliabile eseguire 'apt-get -f install' per correggere questi problemi:

alkat
16-08-2004, 11:17
Originariamente inviato da KornShell
consigliabile eseguire 'apt-get -f install' per correggere questi problemi:

se continui a leggere sopra, l'ho fatto... ma il problema rimane.

thanx
.a.

andy caps
16-08-2004, 11:31
prova apt-get remove kmplayer

dpkg --configure -a
poi apt-get dist-upgrade

francofait
16-08-2004, 11:31
Originariamente inviato da alkat
se continui a leggere sopra, l'ho fatto... ma il problema rimane.

thanx
.a.

dpkg --configure -a

KornShell
16-08-2004, 11:33
Ah LOL che pirla non avevo letto, sorry
prova a dare (se non hai gia provato) un dist-upgrade, strano che non vada, io ho appena aggiornato e funziona tutto.

prova anche dpkg --configure -a

facci sapere e soprattutto..non mollare :zizi:

alkat
16-08-2004, 19:51
con dpkg --configure -a, le cose non vanno molto meglio. dopo un po' che lavorava si blocato come vedete sotto. ho provato a rimuovere kmplayer ma non ci sono riuscito...
.a.


dpkg: problemi con le dipendenze impediscono la configurazione di kpager:
kpager dipende da kdelibs4 (>= 4:3.3.0); comunque:
Il pacchetto kdelibs4 non ancora configurato.
dpkg: errore processando kpager (--configure):
problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di libkonq4:
libkonq4 dipende da kdelibs4 (>= 4:3.3.0); comunque:
Il pacchetto kdelibs4 non ancora configurato.
dpkg: errore processando libkonq4 (--configure):
problemi con le dipendenze - lasciato non configurato
dpkg: troppi errori, mi fermo
Sono occorsi degli errori processando:
kdelibs4
ktimer
kscd
kdelibs-bin
ksim
ark
kdemultimedia-kfile-plugins
kcontrol
ksplash
kfind
kdesktop
kruler
khelpcenter
ksysguard
kmix
kgamma
kwin
kdebase-kio-plugins
kdm
kdf
konqueror-nsplugins
kdeadmin-kfile-plugins
kviewshell
artsbuilder
kcharselect
ktip
kwalletmanager
klaptopdaemon
kicker
kcoloredit
kmilo
kmrml
konqueror
klipper
k3b
kdessh
kgpg
ksnapshot
libarts1-xine
kuickshow
kaudiocreator
kdepasswd
kpackage
kooka
konsole
kdemultimedia-kio-plugins
kfloppy
kdebase-bin
k3blibs
kpager
libkonq4

andy caps
16-08-2004, 20:15
:D non c' male
era tanto che non vedevo un casotto del genere

prova a dare
dpkg -i --force-all /var/cache/apt/archives/kdelibs-data_4%3a3.3.0-1_all.deb

poi riprova

eventualmente poi forza anche con lo stesso sistema
kdelibs4 poi dovrebbe risolvere un po di dipendenze

alkat
17-08-2004, 17:21
per renderti ancor pi felice, ho provato a complicare ancor di pi la situazione e quindi, prima di leggere la tua risposta, ho installato gnome e da gnome ho tolto completamente kde, ho quindi cercato di reinstallarlo e indovina un po'?

root@1[XXX]# apt-get -f install
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
Correzione delle dipendenze in corso... Fatto
I seguenti pacchetti verranno inoltre installati:
korganizer
I seguenti pacchetti NUOVI (NEW) saranno installati:
korganizer
0 aggiornati, 1 installati, 0 da rimuovere e 92 non aggiornati.
1 non completamente installati o rimossi.
necessario prendere 1650kB di archivi.
Dopo l'estrazione, verranno occupati 4342kB di spazio su disco.
Continuare? [S/n] s
Get:1 ftp://ftp.at.debian.org unstable/main korganizer 4:3.2.3-1 [1650kB]
Scaricato 1650kB in 40s (40,4kB/s)
(Lettura del database ... 91909 file e directory attualmente installati.)
Spacchetto korganizer (da .../korganizer_4%3a3.2.3-1_i386.deb) ...
dpkg: errore processando /var/cache/apt/archives/korganizer_4%3a3.2.3-1_i386.deb (--unpack):
tentata sovrascrittura di `/etc/kde3/khotnewstuffrc', che si trova anche nel pacchetto kdelibs-bin
dpkg-deb: il sottoprocesso paste stato terminato dal segnale (Pipe rotta)
Sono occorsi degli errori processando:
/var/cache/apt/archives/korganizer_4%3a3.2.3-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


ecco qui sopra il nuovo problemino...

ho provato a seguire il tuo consiglio e, con la forza bruta, sono riuscito ad installare korganizer... mo' speriamo che funzioni, ma mi sa che stavolta i problemi continueranno... devo essere sfigato forte...

.a.

francofait
17-08-2004, 17:45
Originariamente inviato da alkat
per renderti ancor pi felice, ho provato a complicare ancor di pi la situazione e quindi, prima di leggere la tua risposta, ho installato gnome e da gnome ho tolto completamente kde, ho quindi cercato di reinstallarlo e indovina un po'?

root@1[XXX]# apt-get -f install
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
Correzione delle dipendenze in corso... Fatto
I seguenti pacchetti verranno inoltre installati:
korganizer
I seguenti pacchetti NUOVI (NEW) saranno installati:
korganizer
0 aggiornati, 1 installati, 0 da rimuovere e 92 non aggiornati.
1 non completamente installati o rimossi.
necessario prendere 1650kB di archivi.
Dopo l'estrazione, verranno occupati 4342kB di spazio su disco.
Continuare? [S/n] s
Get:1 ftp://ftp.at.debian.org unstable/main korganizer 4:3.2.3-1 [1650kB]
Scaricato 1650kB in 40s (40,4kB/s)
(Lettura del database ... 91909 file e directory attualmente installati.)
Spacchetto korganizer (da .../korganizer_4%3a3.2.3-1_i386.deb) ...
dpkg: errore processando /var/cache/apt/archives/korganizer_4%3a3.2.3-1_i386.deb (--unpack):
tentata sovrascrittura di `/etc/kde3/khotnewstuffrc', che si trova anche nel pacchetto kdelibs-bin
dpkg-deb: il sottoprocesso paste stato terminato dal segnale (Pipe rotta)
Sono occorsi degli errori processando:
/var/cache/apt/archives/korganizer_4%3a3.2.3-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


ecco qui sopra il nuovo problemino...

ho provato a seguire il tuo consiglio e, con la forza bruta, sono riuscito ad installare korganizer... mo' speriamo che funzioni, ma mi sa che stavolta i problemi continueranno... devo essere sfigato forte...

.a.

ci sono tutte le repositri in corso di aggiornamento x quel che riguarda proprio KDE , se vai a vedere le versioni con Synaptic , trovi la nuova 3.3 ancora incompleta , credo che x l'upgrade con kde convenga attendere un po' che finiscano di sistemare.

Loading